View Issue Details

IDProjectCategoryView StatusLast Update
0015666FPCCompilerpublic2015-02-04 06:11
ReporterKarl-Michael Schindler Assigned ToJonas Maebe  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformMac OS XOSdarwin 
Product Version2.4.0 
Fixed in Version2.6.0 
Summary0015666: target option for external linker for wince crosscompiler needs to be updated from armpe to arm-wince-pe
DescriptionWhen using an external linker, the target option needs to be replaced from armpe to arm-wince-pe in compiler/systems/t_win.pas. It has been changed in the arm-wince binutils about 3 years ago. I assume it went unnoticed, because the internal linker is usually used for arm-wince.
Steps To Reproducemake all PP=fpc CPU_TARGET=arm OS_TARGET=wince CROSSOPT="-Xe"

I had binutils, version 2.20, installed with --target=arm-wince-pe and checked their makefile and configure files.
Additional InformationAlthough I had this error on Intel Mac OS X 10.6, I expect this to be basically platform independent and probably affects earlier versions of fpc, too.
TagsNo tags attached.
Fixed in Revision15707
FPCOldBugId0
FPCTarget
Attached Files

Activities

Karl-Michael Schindler

2010-08-03 17:36

reporter   ~0039958

Sorry, my fault. Instead of "arm-wince-pe" it must be "arm_wince_pe".
Please correct line 1097 in file compiler/systems/t_win.pas in 2.5.1 as well as in 2.4.2

Karl-Michael Schindler

2015-02-04 06:11

reporter   ~0080766

finished.

Issue History

Date Modified Username Field Change
2010-02-03 20:12 Karl-Michael Schindler New Issue
2010-02-06 21:22 Jonas Maebe Fixed in Revision => 14872
2010-02-06 21:22 Jonas Maebe Status new => resolved
2010-02-06 21:22 Jonas Maebe Fixed in Version => 2.5.1
2010-02-06 21:22 Jonas Maebe Resolution open => fixed
2010-02-06 21:22 Jonas Maebe Assigned To => Jonas Maebe
2010-02-26 01:19 Karl-Michael Schindler Status resolved => closed
2010-08-03 17:36 Karl-Michael Schindler Status closed => feedback
2010-08-03 17:36 Karl-Michael Schindler Resolution fixed => reopened
2010-08-03 17:36 Karl-Michael Schindler Note Added: 0039958
2010-08-04 21:01 Jonas Maebe Fixed in Revision 14872 => 15707
2010-08-04 21:01 Jonas Maebe Status feedback => resolved
2010-08-04 21:01 Jonas Maebe Resolution reopened => fixed
2011-11-30 22:02 Marco van de Voort FPCOldBugId => 0
2011-11-30 22:02 Marco van de Voort Fixed in Version 2.5.1 => 2.6.0
2015-02-04 06:11 Karl-Michael Schindler Note Added: 0080766
2015-02-04 06:11 Karl-Michael Schindler Status resolved => closed